﻿#CustomerAccountInfoForm {
    width: 50%;
    margin: 0px 27%;
}

.sub-header-style {
    font-family: Roboto;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 28px;
    color: #1C1C1C;
    margin: 12px 0px
}
.createAccountBtn {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 0px 27% !important;
    width: 50%;
}

.createAccountBtn > a {
    width: 100%;
    border-radius: 8px;
}

.margin-top-24 {
    margin-top: 24px;
}

select,
input {
    border-radius: 8px !important;
}

.margin-bottom-12 {
    margin-bottom: 12px;
}

.help-text-style {
    color: #767676;
    vertical-align: text-bottom;
}

#InputPassword {
    margin-bottom: 4px !important;
    border-right: none !important;
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
    height: 38px !important;
}

#InputPassword-error {
    margin-top: 10px;
}

.text-style {
    text-decoration-line: underline;
    color: #5A5A5A;
}

.text-style > img {
    margin-left: 2px;
}

.agreement-text {
    margin: 0px 0% 2% 32px;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
}

.checkbox-container-1 {
    margin-bottom: 4%;
}


.checkbox-container-2 {
    margin-bottom: 8%;
}

.info-tooltip{
    position: relative;
    cursor: pointer;
}

/*.info-tooltip:hover .safety-tooltip {*/
    /* NEW */
    /*display: flex;
}*/

.safety-tooltip {
    display: none;
    /* NEW */
    margin-left: 15px;
    z-index: 1000;

    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 8px 12px;
    position: absolute;
    width: 210px;
    top: -300%;
    left: 80%;
    background: #FFFFFF;
    box-shadow: 0px 1px 2px rgb(0 0 0 / 24%), 0px 1px 3px rgb(0 0 0 / 12%);
    border-radius: 4px;
}

span.safety-tooltip:before {
    content: '';
    display: block;
    width: 15px;
    height: 15px;
    position: absolute;
    left: 0px;
    top: 60px;
    background: white;
    transform: translateX(-50%) translateY(-50%) rotate(45deg);
    box-shadow: -2px 2px 2px 0px rgb(0 0 0 / 24%);
}

.error-message {
    display: none;
    color: rgb(255, 0, 0);
    padding-top: 10px;
}

#CreateAcountError {
    margin-left: 27%;
}

.password-rule-styles,
.help-text-style-mobile {
    display: none;
}

#HidePassword {
    display: none;
}

#InputCountry {
    height: 40px !important;
}

input, select {
    border: 2px solid #D6D6D6 !important;
    box-shadow: inset 0 0 0 0px #d6d5d6, 0 0px 0px 0 rgb(0 0 0 / 20%), 0 0px 1px 0 rgb(0 0 0 / 19%) !important;
}

select {
    height: 40px !important;
}

.password-wrapper {
    display: flex;
    flex-direction: row;
}

.password-input-group {
    width: 100%;
}

.show-password-wrapper {
    margin-top: 21px;
    height: 38px;
    border: 2px solid #d6d6d6;
    border-left: none;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    width: 47px;
    display: flex;
    align-items: center;
}

.show-password-wrapper > p {
    cursor: pointer;
    text-decoration: underline;
    margin-bottom: 0px !important;
}

@media only screen and (min-width: 768px) {
    .input-pad-left {
        padding-left: 8px !important;
    }

    .input-pad-right {
        padding-right: 8px !important;
    }
}

@media only screen and (min-width: 921px) {
    .pad-left-4 {
        padding-left: 30px;
    }
}

/*styles form mobile view*/
@media only screen and (max-width: 767px) {

    .show-password-wrapper {
        margin-top: 20px !important;
        border: 2px solid #d6d6d6;
        border-left: none;
    }

    .show-password-wrapper > p {
        padding: 10% 0px 10% 0% !important;
        margin-left: 0% !important;
    }

    #CustomerAccountInfoForm {
        width: 100%;
        margin: 0px;
    }

    label {
        font-family: Roboto !important;
        font-style: normal !important;
        font-weight: normal !important;
        font-size: 14px !important;
        line-height: 20px !important;
    }

    .pad-left-4 {
        padding-left: 20px !important;
    }

    .help-text-style-mobile {
        display: block;
        margin-bottom: 4px;
        color: #AAAAAA;
    }

    .help-text-style {
        display: none;
    }

    .password-rule-styles {
        display: block;
        padding-left: 8px;
        color: #AAAAAA;
    }

    .createAccountBtn {
        margin: 0px !important;
        width: 100% !important;
    }

        .createAccountBtn > a {
            margin-bottom: 0px;
            margin-top: 20px;
        }

    .text-style {
        width: 54%;
    }

    .safety-tooltip {
        width: 150px;
    }

    #CreateAcountError {
        margin-left: 0%;
    }
}

/*styles form tablets*/
@media only screen and (min-width: 481px) and (max-width: 640px) {
    .text-style, .sub-header-style {
         padding-left: 0px !important; 
    }
}

@media only screen and (min-width: 641px) and (max-width: 767px) {
    .text-style, .sub-header-style {
        padding-left: 10px !important;
    }
}

@media only screen and (min-width: 481px) and (max-width: 767px) {
    .password-rule-styles,
    .help-text-style-mobile {
        display: none !important;
    }

    .help-text-style {
        display: block !important;
    }

    .text-style {
        width: 100% !important;
    }

    .medium-6 {
        width: 100% !important;
    }

    .createAccountBtn > a {
        margin-top: 0px !important;
    }

    .checkbox-container-2 {
        margin-bottom: 4% !important;
    }
}
/*
select:-internal-autofill-selected, input:-internal-autofill-selected {
    background-color: #fff !important;
    -webkit-box-shadow: 0 0 0 1000px #fff inset !important; 
}*/

#CustomerAccountInfoForm .is-invalid-input:not(:focus), .error-border {
    border-color: #cc4b37 !important;
}

@media only screen and (min-width: 768px) and (max-width: 920px) {
    div.row {
        width: 100% !important;
        margin: 0px 6% 0px 0% !important;
    }
}

.cbox-container .checkmark {
    border: 3px solid #008545 !important;
    height: 16px !important;
    width: 16px !important;
    margin-top: 3px;
}

.cbox-container .checkmark:after {
    left: 2px !important;
    top: -1px !important;
    width: 6px !important;
    height: 10px !important;
}

#InputAccountNumber, #InputCountry2{
    border: 1px solid #eee !important;
    border-radius: 0 !important;
    box-shadow: none !important;
}

#LinkToSignIn {
    color: #005e31;
    cursor: pointer;
    display: none;
    height: 40px;    
    flex-direction: row;
    justify-content: center;
    margin-top: 16px;
}

#LinkToSignIn > a {
    text-decoration: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    cursor: pointer;
}

.error-border {
    border: 2px solid #C03A3A !important;
}

.error-border-left {
    border-left: none !important;
}

.error-text {
    color: #C03A3A;
}

#TermsAndConditionError {
    font-weight: bold;
}

.input-email-error {
    margin-top: -16px !important;
}

#CustomerAccountInfo select {
    background-image: none !important;
}

.state-selectdiv,
.dl-selectdiv,
.selectdiv {
    position: relative;
}
    
.selectdiv:after {
    content: url("https://www.sunbeltrentals.com/Content/images/icons-png/dropdown-down-chevron.png");
    font: 17px "Consolas", monospace;
    right: 42px;
    top: 28px;
    padding: 0 0 2px;
    position: absolute;
    pointer-events: none;
    color: #005e31;
}

.state-selectdiv:after,
.dl-selectdiv:after {
    content: url("https://www.sunbeltrentals.com/Content/images/icons-png/dropdown-down-chevron.png");
    font: 17px "Consolas", monospace;
    right: 12px;
    top: 30px;
    padding: 0 0 2px;
    position: absolute;
    pointer-events: none;
    color: #005e31;
}

#InputEmail {
    margin-bottom: 4px !important;
}

#InputEmail-error {
    margin-bottom: 0px !important;
    min-height: 8px !important
}

.email-input-wrapper {
    margin-bottom: 16px;
}

#InputEmail.is-invalid-input {
    margin-bottom: 16px !important
}

@media only screen and (min-width: 768px) and (max-width: 920px) {
    .selectdiv:after {
        right: 14px !important;
        top: 28px !important;
    }
}

.info-message {
    display: none;
    color: #767676;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}
.stopScroll{
overflow:hidden;
}